package com.mortals.xhx.modules.implementlist.model;

import com.mortals.framework.model.BaseEntityLong;
/**
*
* Description:Implementlist
* date: 2021-8-3 9:12:39
*/
public class ImplementlistEntity extends BaseEntityLong{
    private static final long serialVersionUID = 1627953159186L;


    /**
    * 目录清单ID
    */
    private String dirListId;

    /**
    * 运行系统
    */
    private String runSystem;

    /**
    * 业务办理系统
    */
    private String businessSystem;

    /**
    * 行使层级
    */
    private String performHierarchy;

    /**
    * 跳转链接
    */
    private String jumpUrl;

    /**
    * 事项类型
    */
    private String eventType;

    /**
    * 事项代码
    */
    private String eventCode;

    /**
    * 事项名称
    */
    private String eventName;

    /**
    * 所属大项
    */
    private String majorTerm;

    /**
    * 行业
    */
    private String trade;

    /**
    * 联审信息
    */
    private String jointReviewInfo;

    /**
    * 审批对象
    */
    private String appoveObject;

    /**
    * 审批时限
    */
    private String appoveTimeLimit;

    /**
    * 审批类别
    */
    private String appoveType;

    /**
    * 办理总时限
    */
    private String legalTimeLimit;

    /**
    * 材料预审
    */
    private String materialInquiry;

    /**
    * 办件性质
    */
    private String doThiingProperty;

    /**
    * 申请窗口
    */
    private String applyWindow;

    /**
    * 备注
    */
    private String remark;

    /**
    * 
    */
    private String onlineItemType;

    /**
    * 
    */
    private String status;

    /**
    * 是否上报
    */
    private String isDeliver;

    /**
    * 总材料说明
    */
    private String materialRemark;

    /**
    * 办理类型
    */
    private String handleType;

    /**
    * 办事者到现场次数
    */
    private String percenceTimes;

    /**
    * 认证等级需求
    */
    private String certificationLevels;

    /**
    * 地区编码
    */
    private String areaCode;

    /**
    * 地区名称
    */
    private String areaName;

    /**
    * 部门编码
    */
    private String deptCode;

    /**
    * 部门名称
    */
    private String deptName;

    /**
    * 分片字段
    */
    private String shardKey;

    /**
    * 创建人ID
    */
    private String creatorId;

    /**
    * 创建人名称
    */
    private String creatorName;

    /**
    * 创建时间
    */
    private String createsTime;

    /**
    * 更新时间
    */
    private String updatesTime;

    /**
    * 删除标识
    */
    private String deleteFlag;

    /**
    * 创建年份
    */
    private String year;

    /**
    * 事项简称
    */
    private String shortName;

    /**
    * 事项类别
    */
    private String eventCategory;

    /**
    * 公示开始时间
    */
    private String pubBeginTime;

    /**
    * 公示结束时间（至）
    */
    private String pubEndTime;

    /**
    * 是否证明材料类事项
    */
    private String isProofMaterial;

    /**
    * 使用人：部门/自然人/法人
    */
    private String user;

    /**
    * 上报层级，枚举多选
    */
    private String reportHierarchy;

    /**
    * 上报地区
    */
    private String reportArea;

    /**
    * 上报单位部门
    */
    private String reportDept;

    /**
    * 事项决定权，枚举多选
    */
    private String eventDecPower;

    /**
    * 统计标识,1:统计 0:不统计
    */
    private String isStatistics;

    /**
    * 服务内容
    */
    private String serviceContent;

    /**
    * 是否最新版本
    */
    private String isNewest;

    /**
    * 版本号
    */
    private String version;

    /**
    * 是否进入政务服务中心/便民服务中心窗口办理。必选，是/否；
    */
    private String goveServiceCenter;

    /**
    * 是否授权窗口工作人员全程办理。必选，接件、受理、审核、转报、出具结论性意见、审批决定权、审核上报权、组织协调权、印章使用（用于监察系统）
    */
    private String isAuthoTransact;

    /**
    * 是否网上预约（单选）：是或者否
    */
    private String isOnlineSubscribe;

    /**
    * 收费情况
    */
    private String isCharges;

    /**
    * 是否在线支付
    */
    private String isOnlinePay;

    /**
    * 是否支持快递取件
    */
    private String isExpressTake;

    /**
    * 是否纳入政务服务中心
    */
    private String isGoveCenter;

    /**
    * 是否纳入便民服务中心
    */
    private String isConvenientCenter;

    /**
    * 行使编码 (实施主体)
    */
    private String performDeptCode;

    /**
    * 行使名称 (实施主体名称)
    */
    private String performDeptName;

    /**
    * 行使主体（实施性质）
    */
    private String performDeptType;

    /**
    * 是否支持上门收取申请材料
    */
    private String isDoorTake;

    /**
    * 承诺办理总时限
    */
    private String promiseTimeLimit;

    /**
    * 办理类型:窗口办理、原件预审、原件核验、全程网办
    */
    private String doThingType;

    /**
    * 发起主体
    */
    private String launchBody;

    /**
    * 省级审查类型
    */
    private String proReviewType;

    /**
    * 市级审查类型
    */
    private String cityReviewType;

    /**
    * 区县级审查类型
    */
    private String couReviewType;

    /**
    * 乡镇级审查类型
    */
    private String townReviewType;

    /**
    * 事项设定来源-枚举多选
    */
    private String vilReviewType;

    /**
    * 用户类型(1：普通用户，2：会员)
    */
    private String eventSource;

    /**
    * 是否数量限制
    */
    private String isNumberLimit;

    /**
    * 数量限制
    */
    private String numberLimit;

    /**
    * 事项是否在一体化平台办理
    */
    private String isIntegration;

    /**
    * 部门系统级别
    */
    private String deptSysLevel;

    /**
    * 办理结果是否能够在一体化平台共享
    */
    private String isShare;

    /**
    * 行使方式：1 依申请 2主动行使
    */
    private String applyObject;

    /**
    * 按人生事件分类/按经营活动分类
    */
    private String lifeEventType;

    /**
    * 按特定对象分类
    */
    private String specialObjectType;

    /**
    * 按扶贫服务分类
    */
    private String poorObjectType;

    /**
    * 办理结果形式
    */
    private String handleResultForm;

    /**
    * 部门系统名称
    */
    private String deptSysName;

    /**
    * 原因
    */
    private String reason;

    /**
    * 实施清单业务状态
    */
    private String eventStatus;

    /**
    * 是否支持快递取件_网办类型
    */
    private String isExpressTakeOnline;

    /**
    * 办事者到办理现场次数_网办类型
    */
    private String percenceTimesOnline;

    /**
    * 网办类型0：原件预审 1：原件核验 2：全程网办
    */
    private String onlineType;

    /**
    * 部门id
    */
    private String deptId;

    /**
    * 节日类型:1 工作日  2 自然日
    */
    private String daysType;

    /**
    * 目录清单是否变更
    */
    private String isDirChange;

    /**
    * 实施清单来源
    */
    private String implListSource;

    /**
    * 流程实例id
    */
    private String wfInstanceId;

    /**
    * 是否支持全城通办
    */
    private String isCityWideOffice;

    /**
    * 是否支持全省范围就近申请
    */
    private String isApplyProvince;

    /**
    * 是否支持全省范围就近取件
    */
    private String isProvinceAcquisition;

    /**
    * 目录清单编码
    */
    private String dirListCode;

    /**
    * 实施清单管理列表是否显示该数据
    */
    private String isShow;

    /**
    * 末级部门编码
    */
    private String implDeptCode;

    /**
    * 末级部门id
    */
    private String implDeptId;

    /**
    * 厅局办件标识  是否统一受理  1.统一受理 2.非统一受理 3.全程办理
    */
    private String isUniteAccept;

    /**
    * 法定时限
    */
    private String subLegalTimeLimit;

    /**
    * 承诺时限
    */
    private String subPromiseTimeLimit;

    /**
    * 事项简称(俗语)
    */
    private String commonSaying;

    /**
    * 承诺办理总时限单位
    */
    private String clDaysType;

    /**
    * 是否割接数据 1表示是  null 表示否
    */
    private String isCutOff;

    /**
    * 是否割接数据 1:是
    */
    private String isOlddata;

    /**
    * 权力来源
    */
    private String powerSource;

    /**
    * 委托部门
    */
    private String entrustDept;

    /**
    * 特别程序
    */
    private String specProcedure;

    /**
    * 通办范围:1全国 2跨省 3跨市 4跨县 5跨镇（乡、街道）6跨村（社区）
    */
    private String operatScope;

    /**
    * 联办机构
    */
    private String jointagency;

    /**
    * 审批结果类型 枚举项：10证照 20批文 30其他 99无
    */
    private String applyresultType;

    /**
    * 变更结果记录
    */
    private String applyresultsSample;

    /**
    * 实施清单展示编码
    */
    private String showEventCode;

    /**
    * 页面展示目录清单编码
    */
    private String showDirCode;

    /**
    * 是否设置证照
    */
    private String isSetLicense;

    /**
    * 是否场景化事项
    */
    private String isSceneServer;

    /**
    * 事项名称首字母
    */
    private String eventInitial;

    /**
    * 国家编码
    */
    private String catalogcode;

    /**
    * 子项编码
    */
    private String subcode;

    /**
    * 特殊状态（为空或0；1表示在门户列表中不展示的数据，办事指南和在线申请需要展示）
    */
    private String specialStatus;

    /**
    * 材料目录模式:null为2.0模式，1：3.0模式
    */
    private String materialVersion;

    /**
    * 码表多选
    */
    private String projectType;

    /**
    * 审核状态(0：审核中1：审核通过2：审核失败）
    */
    private String auditState;

    /**
    * 存放公共服务类型：2A,2B,2C
    */
    private String publicServiceType;

    /**
    * 是否有效：0 否，1 是，2 暂停
    */
    private String isValid;

    public ImplementlistEntity(){

    }
    /**
    * 获取 目录清单ID
    * @return dirListId
    */
    public String getDirListId() {
        return this.dirListId;
    }
    /**
    * 设置 目录清单ID
    * @param dirListId
    */
    public void setDirListId(String dirListId) {
        this.dirListId = dirListId;
    }
    /**
    * 获取 运行系统
    * @return runSystem
    */
    public String getRunSystem() {
        return this.runSystem;
    }
    /**
    * 设置 运行系统
    * @param runSystem
    */
    public void setRunSystem(String runSystem) {
        this.runSystem = runSystem;
    }
    /**
    * 获取 业务办理系统
    * @return businessSystem
    */
    public String getBusinessSystem() {
        return this.businessSystem;
    }
    /**
    * 设置 业务办理系统
    * @param businessSystem
    */
    public void setBusinessSystem(String businessSystem) {
        this.businessSystem = businessSystem;
    }
    /**
    * 获取 行使层级
    * @return performHierarchy
    */
    public String getPerformHierarchy() {
        return this.performHierarchy;
    }
    /**
    * 设置 行使层级
    * @param performHierarchy
    */
    public void setPerformHierarchy(String performHierarchy) {
        this.performHierarchy = performHierarchy;
    }
    /**
    * 获取 跳转链接
    * @return jumpUrl
    */
    public String getJumpUrl() {
        return this.jumpUrl;
    }
    /**
    * 设置 跳转链接
    * @param jumpUrl
    */
    public void setJumpUrl(String jumpUrl) {
        this.jumpUrl = jumpUrl;
    }
    /**
    * 获取 事项类型
    * @return eventType
    */
    public String getEventType() {
        return this.eventType;
    }
    /**
    * 设置 事项类型
    * @param eventType
    */
    public void setEventType(String eventType) {
        this.eventType = eventType;
    }
    /**
    * 获取 事项代码
    * @return eventCode
    */
    public String getEventCode() {
        return this.eventCode;
    }
    /**
    * 设置 事项代码
    * @param eventCode
    */
    public void setEventCode(String eventCode) {
        this.eventCode = eventCode;
    }
    /**
    * 获取 事项名称
    * @return eventName
    */
    public String getEventName() {
        return this.eventName;
    }
    /**
    * 设置 事项名称
    * @param eventName
    */
    public void setEventName(String eventName) {
        this.eventName = eventName;
    }
    /**
    * 获取 所属大项
    * @return majorTerm
    */
    public String getMajorTerm() {
        return this.majorTerm;
    }
    /**
    * 设置 所属大项
    * @param majorTerm
    */
    public void setMajorTerm(String majorTerm) {
        this.majorTerm = majorTerm;
    }
    /**
    * 获取 行业
    * @return trade
    */
    public String getTrade() {
        return this.trade;
    }
    /**
    * 设置 行业
    * @param trade
    */
    public void setTrade(String trade) {
        this.trade = trade;
    }
    /**
    * 获取 联审信息
    * @return jointReviewInfo
    */
    public String getJointReviewInfo() {
        return this.jointReviewInfo;
    }
    /**
    * 设置 联审信息
    * @param jointReviewInfo
    */
    public void setJointReviewInfo(String jointReviewInfo) {
        this.jointReviewInfo = jointReviewInfo;
    }
    /**
    * 获取 审批对象
    * @return appoveObject
    */
    public String getAppoveObject() {
        return this.appoveObject;
    }
    /**
    * 设置 审批对象
    * @param appoveObject
    */
    public void setAppoveObject(String appoveObject) {
        this.appoveObject = appoveObject;
    }
    /**
    * 获取 审批时限
    * @return appoveTimeLimit
    */
    public String getAppoveTimeLimit() {
        return this.appoveTimeLimit;
    }
    /**
    * 设置 审批时限
    * @param appoveTimeLimit
    */
    public void setAppoveTimeLimit(String appoveTimeLimit) {
        this.appoveTimeLimit = appoveTimeLimit;
    }
    /**
    * 获取 审批类别
    * @return appoveType
    */
    public String getAppoveType() {
        return this.appoveType;
    }
    /**
    * 设置 审批类别
    * @param appoveType
    */
    public void setAppoveType(String appoveType) {
        this.appoveType = appoveType;
    }
    /**
    * 获取 办理总时限
    * @return legalTimeLimit
    */
    public String getLegalTimeLimit() {
        return this.legalTimeLimit;
    }
    /**
    * 设置 办理总时限
    * @param legalTimeLimit
    */
    public void setLegalTimeLimit(String legalTimeLimit) {
        this.legalTimeLimit = legalTimeLimit;
    }
    /**
    * 获取 材料预审
    * @return materialInquiry
    */
    public String getMaterialInquiry() {
        return this.materialInquiry;
    }
    /**
    * 设置 材料预审
    * @param materialInquiry
    */
    public void setMaterialInquiry(String materialInquiry) {
        this.materialInquiry = materialInquiry;
    }
    /**
    * 获取 办件性质
    * @return doThiingProperty
    */
    public String getDoThiingProperty() {
        return this.doThiingProperty;
    }
    /**
    * 设置 办件性质
    * @param doThiingProperty
    */
    public void setDoThiingProperty(String doThiingProperty) {
        this.doThiingProperty = doThiingProperty;
    }
    /**
    * 获取 申请窗口
    * @return applyWindow
    */
    public String getApplyWindow() {
        return this.applyWindow;
    }
    /**
    * 设置 申请窗口
    * @param applyWindow
    */
    public void setApplyWindow(String applyWindow) {
        this.applyWindow = applyWindow;
    }
    /**
    * 获取 备注
    * @return remark
    */
    public String getRemark() {
        return this.remark;
    }
    /**
    * 设置 备注
    * @param remark
    */
    public void setRemark(String remark) {
        this.remark = remark;
    }
    /**
    * 获取 
    * @return onlineItemType
    */
    public String getOnlineItemType() {
        return this.onlineItemType;
    }
    /**
    * 设置 
    * @param onlineItemType
    */
    public void setOnlineItemType(String onlineItemType) {
        this.onlineItemType = onlineItemType;
    }
    /**
    * 获取 
    * @return status
    */
    public String getStatus() {
        return this.status;
    }
    /**
    * 设置 
    * @param status
    */
    public void setStatus(String status) {
        this.status = status;
    }
    /**
    * 获取 是否上报
    * @return isDeliver
    */
    public String getIsDeliver() {
        return this.isDeliver;
    }
    /**
    * 设置 是否上报
    * @param isDeliver
    */
    public void setIsDeliver(String isDeliver) {
        this.isDeliver = isDeliver;
    }
    /**
    * 获取 总材料说明
    * @return materialRemark
    */
    public String getMaterialRemark() {
        return this.materialRemark;
    }
    /**
    * 设置 总材料说明
    * @param materialRemark
    */
    public void setMaterialRemark(String materialRemark) {
        this.materialRemark = materialRemark;
    }
    /**
    * 获取 办理类型
    * @return handleType
    */
    public String getHandleType() {
        return this.handleType;
    }
    /**
    * 设置 办理类型
    * @param handleType
    */
    public void setHandleType(String handleType) {
        this.handleType = handleType;
    }
    /**
    * 获取 办事者到现场次数
    * @return percenceTimes
    */
    public String getPercenceTimes() {
        return this.percenceTimes;
    }
    /**
    * 设置 办事者到现场次数
    * @param percenceTimes
    */
    public void setPercenceTimes(String percenceTimes) {
        this.percenceTimes = percenceTimes;
    }
    /**
    * 获取 认证等级需求
    * @return certificationLevels
    */
    public String getCertificationLevels() {
        return this.certificationLevels;
    }
    /**
    * 设置 认证等级需求
    * @param certificationLevels
    */
    public void setCertificationLevels(String certificationLevels) {
        this.certificationLevels = certificationLevels;
    }
    /**
    * 获取 地区编码
    * @return areaCode
    */
    public String getAreaCode() {
        return this.areaCode;
    }
    /**
    * 设置 地区编码
    * @param areaCode
    */
    public void setAreaCode(String areaCode) {
        this.areaCode = areaCode;
    }
    /**
    * 获取 地区名称
    * @return areaName
    */
    public String getAreaName() {
        return this.areaName;
    }
    /**
    * 设置 地区名称
    * @param areaName
    */
    public void setAreaName(String areaName) {
        this.areaName = areaName;
    }
    /**
    * 获取 部门编码
    * @return deptCode
    */
    public String getDeptCode() {
        return this.deptCode;
    }
    /**
    * 设置 部门编码
    * @param deptCode
    */
    public void setDeptCode(String deptCode) {
        this.deptCode = deptCode;
    }
    /**
    * 获取 部门名称
    * @return deptName
    */
    public String getDeptName() {
        return this.deptName;
    }
    /**
    * 设置 部门名称
    * @param deptName
    */
    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }
    /**
    * 获取 分片字段
    * @return shardKey
    */
    public String getShardKey() {
        return this.shardKey;
    }
    /**
    * 设置 分片字段
    * @param shardKey
    */
    public void setShardKey(String shardKey) {
        this.shardKey = shardKey;
    }
    /**
    * 获取 创建人ID
    * @return creatorId
    */
    public String getCreatorId() {
        return this.creatorId;
    }
    /**
    * 设置 创建人ID
    * @param creatorId
    */
    public void setCreatorId(String creatorId) {
        this.creatorId = creatorId;
    }
    /**
    * 获取 创建人名称
    * @return creatorName
    */
    public String getCreatorName() {
        return this.creatorName;
    }
    /**
    * 设置 创建人名称
    * @param creatorName
    */
    public void setCreatorName(String creatorName) {
        this.creatorName = creatorName;
    }
    /**
    * 获取 创建时间
    * @return createsTime
    */
    public String getCreatesTime() {
        return this.createsTime;
    }
    /**
    * 设置 创建时间
    * @param createsTime
    */
    public void setCreatesTime(String createsTime) {
        this.createsTime = createsTime;
    }
    /**
    * 获取 更新时间
    * @return updatesTime
    */
    public String getUpdatesTime() {
        return this.updatesTime;
    }
    /**
    * 设置 更新时间
    * @param updatesTime
    */
    public void setUpdatesTime(String updatesTime) {
        this.updatesTime = updatesTime;
    }
    /**
    * 获取 删除标识
    * @return deleteFlag
    */
    public String getDeleteFlag() {
        return this.deleteFlag;
    }
    /**
    * 设置 删除标识
    * @param deleteFlag
    */
    public void setDeleteFlag(String deleteFlag) {
        this.deleteFlag = deleteFlag;
    }
    /**
    * 获取 创建年份
    * @return year
    */
    public String getYear() {
        return this.year;
    }
    /**
    * 设置 创建年份
    * @param year
    */
    public void setYear(String year) {
        this.year = year;
    }
    /**
    * 获取 事项简称
    * @return shortName
    */
    public String getShortName() {
        return this.shortName;
    }
    /**
    * 设置 事项简称
    * @param shortName
    */
    public void setShortName(String shortName) {
        this.shortName = shortName;
    }
    /**
    * 获取 事项类别
    * @return eventCategory
    */
    public String getEventCategory() {
        return this.eventCategory;
    }
    /**
    * 设置 事项类别
    * @param eventCategory
    */
    public void setEventCategory(String eventCategory) {
        this.eventCategory = eventCategory;
    }
    /**
    * 获取 公示开始时间
    * @return pubBeginTime
    */
    public String getPubBeginTime() {
        return this.pubBeginTime;
    }
    /**
    * 设置 公示开始时间
    * @param pubBeginTime
    */
    public void setPubBeginTime(String pubBeginTime) {
        this.pubBeginTime = pubBeginTime;
    }
    /**
    * 获取 公示结束时间（至）
    * @return pubEndTime
    */
    public String getPubEndTime() {
        return this.pubEndTime;
    }
    /**
    * 设置 公示结束时间（至）
    * @param pubEndTime
    */
    public void setPubEndTime(String pubEndTime) {
        this.pubEndTime = pubEndTime;
    }
    /**
    * 获取 是否证明材料类事项
    * @return isProofMaterial
    */
    public String getIsProofMaterial() {
        return this.isProofMaterial;
    }
    /**
    * 设置 是否证明材料类事项
    * @param isProofMaterial
    */
    public void setIsProofMaterial(String isProofMaterial) {
        this.isProofMaterial = isProofMaterial;
    }
    /**
    * 获取 使用人：部门/自然人/法人
    * @return user
    */
    public String getUser() {
        return this.user;
    }
    /**
    * 设置 使用人：部门/自然人/法人
    * @param user
    */
    public void setUser(String user) {
        this.user = user;
    }
    /**
    * 获取 上报层级，枚举多选
    * @return reportHierarchy
    */
    public String getReportHierarchy() {
        return this.reportHierarchy;
    }
    /**
    * 设置 上报层级，枚举多选
    * @param reportHierarchy
    */
    public void setReportHierarchy(String reportHierarchy) {
        this.reportHierarchy = reportHierarchy;
    }
    /**
    * 获取 上报地区
    * @return reportArea
    */
    public String getReportArea() {
        return this.reportArea;
    }
    /**
    * 设置 上报地区
    * @param reportArea
    */
    public void setReportArea(String reportArea) {
        this.reportArea = reportArea;
    }
    /**
    * 获取 上报单位部门
    * @return reportDept
    */
    public String getReportDept() {
        return this.reportDept;
    }
    /**
    * 设置 上报单位部门
    * @param reportDept
    */
    public void setReportDept(String reportDept) {
        this.reportDept = reportDept;
    }
    /**
    * 获取 事项决定权，枚举多选
    * @return eventDecPower
    */
    public String getEventDecPower() {
        return this.eventDecPower;
    }
    /**
    * 设置 事项决定权，枚举多选
    * @param eventDecPower
    */
    public void setEventDecPower(String eventDecPower) {
        this.eventDecPower = eventDecPower;
    }
    /**
    * 获取 统计标识,1:统计 0:不统计
    * @return isStatistics
    */
    public String getIsStatistics() {
        return this.isStatistics;
    }
    /**
    * 设置 统计标识,1:统计 0:不统计
    * @param isStatistics
    */
    public void setIsStatistics(String isStatistics) {
        this.isStatistics = isStatistics;
    }
    /**
    * 获取 服务内容
    * @return serviceContent
    */
    public String getServiceContent() {
        return this.serviceContent;
    }
    /**
    * 设置 服务内容
    * @param serviceContent
    */
    public void setServiceContent(String serviceContent) {
        this.serviceContent = serviceContent;
    }
    /**
    * 获取 是否最新版本
    * @return isNewest
    */
    public String getIsNewest() {
        return this.isNewest;
    }
    /**
    * 设置 是否最新版本
    * @param isNewest
    */
    public void setIsNewest(String isNewest) {
        this.isNewest = isNewest;
    }
    /**
    * 获取 版本号
    * @return version
    */
    public String getVersion() {
        return this.version;
    }
    /**
    * 设置 版本号
    * @param version
    */
    public void setVersion(String version) {
        this.version = version;
    }
    /**
    * 获取 是否进入政务服务中心/便民服务中心窗口办理。必选，是/否；
    * @return goveServiceCenter
    */
    public String getGoveServiceCenter() {
        return this.goveServiceCenter;
    }
    /**
    * 设置 是否进入政务服务中心/便民服务中心窗口办理。必选，是/否；
    * @param goveServiceCenter
    */
    public void setGoveServiceCenter(String goveServiceCenter) {
        this.goveServiceCenter = goveServiceCenter;
    }
    /**
    * 获取 是否授权窗口工作人员全程办理。必选，接件、受理、审核、转报、出具结论性意见、审批决定权、审核上报权、组织协调权、印章使用（用于监察系统）
    * @return isAuthoTransact
    */
    public String getIsAuthoTransact() {
        return this.isAuthoTransact;
    }
    /**
    * 设置 是否授权窗口工作人员全程办理。必选，接件、受理、审核、转报、出具结论性意见、审批决定权、审核上报权、组织协调权、印章使用（用于监察系统）
    * @param isAuthoTransact
    */
    public void setIsAuthoTransact(String isAuthoTransact) {
        this.isAuthoTransact = isAuthoTransact;
    }
    /**
    * 获取 是否网上预约（单选）：是或者否
    * @return isOnlineSubscribe
    */
    public String getIsOnlineSubscribe() {
        return this.isOnlineSubscribe;
    }
    /**
    * 设置 是否网上预约（单选）：是或者否
    * @param isOnlineSubscribe
    */
    public void setIsOnlineSubscribe(String isOnlineSubscribe) {
        this.isOnlineSubscribe = isOnlineSubscribe;
    }
    /**
    * 获取 收费情况
    * @return isCharges
    */
    public String getIsCharges() {
        return this.isCharges;
    }
    /**
    * 设置 收费情况
    * @param isCharges
    */
    public void setIsCharges(String isCharges) {
        this.isCharges = isCharges;
    }
    /**
    * 获取 是否在线支付
    * @return isOnlinePay
    */
    public String getIsOnlinePay() {
        return this.isOnlinePay;
    }
    /**
    * 设置 是否在线支付
    * @param isOnlinePay
    */
    public void setIsOnlinePay(String isOnlinePay) {
        this.isOnlinePay = isOnlinePay;
    }
    /**
    * 获取 是否支持快递取件
    * @return isExpressTake
    */
    public String getIsExpressTake() {
        return this.isExpressTake;
    }
    /**
    * 设置 是否支持快递取件
    * @param isExpressTake
    */
    public void setIsExpressTake(String isExpressTake) {
        this.isExpressTake = isExpressTake;
    }
    /**
    * 获取 是否纳入政务服务中心
    * @return isGoveCenter
    */
    public String getIsGoveCenter() {
        return this.isGoveCenter;
    }
    /**
    * 设置 是否纳入政务服务中心
    * @param isGoveCenter
    */
    public void setIsGoveCenter(String isGoveCenter) {
        this.isGoveCenter = isGoveCenter;
    }
    /**
    * 获取 是否纳入便民服务中心
    * @return isConvenientCenter
    */
    public String getIsConvenientCenter() {
        return this.isConvenientCenter;
    }
    /**
    * 设置 是否纳入便民服务中心
    * @param isConvenientCenter
    */
    public void setIsConvenientCenter(String isConvenientCenter) {
        this.isConvenientCenter = isConvenientCenter;
    }
    /**
    * 获取 行使编码 (实施主体)
    * @return performDeptCode
    */
    public String getPerformDeptCode() {
        return this.performDeptCode;
    }
    /**
    * 设置 行使编码 (实施主体)
    * @param performDeptCode
    */
    public void setPerformDeptCode(String performDeptCode) {
        this.performDeptCode = performDeptCode;
    }
    /**
    * 获取 行使名称 (实施主体名称)
    * @return performDeptName
    */
    public String getPerformDeptName() {
        return this.performDeptName;
    }
    /**
    * 设置 行使名称 (实施主体名称)
    * @param performDeptName
    */
    public void setPerformDeptName(String performDeptName) {
        this.performDeptName = performDeptName;
    }
    /**
    * 获取 行使主体（实施性质）
    * @return performDeptType
    */
    public String getPerformDeptType() {
        return this.performDeptType;
    }
    /**
    * 设置 行使主体（实施性质）
    * @param performDeptType
    */
    public void setPerformDeptType(String performDeptType) {
        this.performDeptType = performDeptType;
    }
    /**
    * 获取 是否支持上门收取申请材料
    * @return isDoorTake
    */
    public String getIsDoorTake() {
        return this.isDoorTake;
    }
    /**
    * 设置 是否支持上门收取申请材料
    * @param isDoorTake
    */
    public void setIsDoorTake(String isDoorTake) {
        this.isDoorTake = isDoorTake;
    }
    /**
    * 获取 承诺办理总时限
    * @return promiseTimeLimit
    */
    public String getPromiseTimeLimit() {
        return this.promiseTimeLimit;
    }
    /**
    * 设置 承诺办理总时限
    * @param promiseTimeLimit
    */
    public void setPromiseTimeLimit(String promiseTimeLimit) {
        this.promiseTimeLimit = promiseTimeLimit;
    }
    /**
    * 获取 办理类型:窗口办理、原件预审、原件核验、全程网办
    * @return doThingType
    */
    public String getDoThingType() {
        return this.doThingType;
    }
    /**
    * 设置 办理类型:窗口办理、原件预审、原件核验、全程网办
    * @param doThingType
    */
    public void setDoThingType(String doThingType) {
        this.doThingType = doThingType;
    }
    /**
    * 获取 发起主体
    * @return launchBody
    */
    public String getLaunchBody() {
        return this.launchBody;
    }
    /**
    * 设置 发起主体
    * @param launchBody
    */
    public void setLaunchBody(String launchBody) {
        this.launchBody = launchBody;
    }
    /**
    * 获取 省级审查类型
    * @return proReviewType
    */
    public String getProReviewType() {
        return this.proReviewType;
    }
    /**
    * 设置 省级审查类型
    * @param proReviewType
    */
    public void setProReviewType(String proReviewType) {
        this.proReviewType = proReviewType;
    }
    /**
    * 获取 市级审查类型
    * @return cityReviewType
    */
    public String getCityReviewType() {
        return this.cityReviewType;
    }
    /**
    * 设置 市级审查类型
    * @param cityReviewType
    */
    public void setCityReviewType(String cityReviewType) {
        this.cityReviewType = cityReviewType;
    }
    /**
    * 获取 区县级审查类型
    * @return couReviewType
    */
    public String getCouReviewType() {
        return this.couReviewType;
    }
    /**
    * 设置 区县级审查类型
    * @param couReviewType
    */
    public void setCouReviewType(String couReviewType) {
        this.couReviewType = couReviewType;
    }
    /**
    * 获取 乡镇级审查类型
    * @return townReviewType
    */
    public String getTownReviewType() {
        return this.townReviewType;
    }
    /**
    * 设置 乡镇级审查类型
    * @param townReviewType
    */
    public void setTownReviewType(String townReviewType) {
        this.townReviewType = townReviewType;
    }
    /**
    * 获取 事项设定来源-枚举多选
    * @return vilReviewType
    */
    public String getVilReviewType() {
        return this.vilReviewType;
    }
    /**
    * 设置 事项设定来源-枚举多选
    * @param vilReviewType
    */
    public void setVilReviewType(String vilReviewType) {
        this.vilReviewType = vilReviewType;
    }
    /**
    * 获取 用户类型(1：普通用户，2：会员)
    * @return eventSource
    */
    public String getEventSource() {
        return this.eventSource;
    }
    /**
    * 设置 用户类型(1：普通用户，2：会员)
    * @param eventSource
    */
    public void setEventSource(String eventSource) {
        this.eventSource = eventSource;
    }
    /**
    * 获取 是否数量限制
    * @return isNumberLimit
    */
    public String getIsNumberLimit() {
        return this.isNumberLimit;
    }
    /**
    * 设置 是否数量限制
    * @param isNumberLimit
    */
    public void setIsNumberLimit(String isNumberLimit) {
        this.isNumberLimit = isNumberLimit;
    }
    /**
    * 获取 数量限制
    * @return numberLimit
    */
    public String getNumberLimit() {
        return this.numberLimit;
    }
    /**
    * 设置 数量限制
    * @param numberLimit
    */
    public void setNumberLimit(String numberLimit) {
        this.numberLimit = numberLimit;
    }
    /**
    * 获取 事项是否在一体化平台办理
    * @return isIntegration
    */
    public String getIsIntegration() {
        return this.isIntegration;
    }
    /**
    * 设置 事项是否在一体化平台办理
    * @param isIntegration
    */
    public void setIsIntegration(String isIntegration) {
        this.isIntegration = isIntegration;
    }
    /**
    * 获取 部门系统级别
    * @return deptSysLevel
    */
    public String getDeptSysLevel() {
        return this.deptSysLevel;
    }
    /**
    * 设置 部门系统级别
    * @param deptSysLevel
    */
    public void setDeptSysLevel(String deptSysLevel) {
        this.deptSysLevel = deptSysLevel;
    }
    /**
    * 获取 办理结果是否能够在一体化平台共享
    * @return isShare
    */
    public String getIsShare() {
        return this.isShare;
    }
    /**
    * 设置 办理结果是否能够在一体化平台共享
    * @param isShare
    */
    public void setIsShare(String isShare) {
        this.isShare = isShare;
    }
    /**
    * 获取 行使方式：1 依申请 2主动行使
    * @return applyObject
    */
    public String getApplyObject() {
        return this.applyObject;
    }
    /**
    * 设置 行使方式：1 依申请 2主动行使
    * @param applyObject
    */
    public void setApplyObject(String applyObject) {
        this.applyObject = applyObject;
    }
    /**
    * 获取 按人生事件分类/按经营活动分类
    * @return lifeEventType
    */
    public String getLifeEventType() {
        return this.lifeEventType;
    }
    /**
    * 设置 按人生事件分类/按经营活动分类
    * @param lifeEventType
    */
    public void setLifeEventType(String lifeEventType) {
        this.lifeEventType = lifeEventType;
    }
    /**
    * 获取 按特定对象分类
    * @return specialObjectType
    */
    public String getSpecialObjectType() {
        return this.specialObjectType;
    }
    /**
    * 设置 按特定对象分类
    * @param specialObjectType
    */
    public void setSpecialObjectType(String specialObjectType) {
        this.specialObjectType = specialObjectType;
    }
    /**
    * 获取 按扶贫服务分类
    * @return poorObjectType
    */
    public String getPoorObjectType() {
        return this.poorObjectType;
    }
    /**
    * 设置 按扶贫服务分类
    * @param poorObjectType
    */
    public void setPoorObjectType(String poorObjectType) {
        this.poorObjectType = poorObjectType;
    }
    /**
    * 获取 办理结果形式
    * @return handleResultForm
    */
    public String getHandleResultForm() {
        return this.handleResultForm;
    }
    /**
    * 设置 办理结果形式
    * @param handleResultForm
    */
    public void setHandleResultForm(String handleResultForm) {
        this.handleResultForm = handleResultForm;
    }
    /**
    * 获取 部门系统名称
    * @return deptSysName
    */
    public String getDeptSysName() {
        return this.deptSysName;
    }
    /**
    * 设置 部门系统名称
    * @param deptSysName
    */
    public void setDeptSysName(String deptSysName) {
        this.deptSysName = deptSysName;
    }
    /**
    * 获取 原因
    * @return reason
    */
    public String getReason() {
        return this.reason;
    }
    /**
    * 设置 原因
    * @param reason
    */
    public void setReason(String reason) {
        this.reason = reason;
    }
    /**
    * 获取 实施清单业务状态
    * @return eventStatus
    */
    public String getEventStatus() {
        return this.eventStatus;
    }
    /**
    * 设置 实施清单业务状态
    * @param eventStatus
    */
    public void setEventStatus(String eventStatus) {
        this.eventStatus = eventStatus;
    }
    /**
    * 获取 是否支持快递取件_网办类型
    * @return isExpressTakeOnline
    */
    public String getIsExpressTakeOnline() {
        return this.isExpressTakeOnline;
    }
    /**
    * 设置 是否支持快递取件_网办类型
    * @param isExpressTakeOnline
    */
    public void setIsExpressTakeOnline(String isExpressTakeOnline) {
        this.isExpressTakeOnline = isExpressTakeOnline;
    }
    /**
    * 获取 办事者到办理现场次数_网办类型
    * @return percenceTimesOnline
    */
    public String getPercenceTimesOnline() {
        return this.percenceTimesOnline;
    }
    /**
    * 设置 办事者到办理现场次数_网办类型
    * @param percenceTimesOnline
    */
    public void setPercenceTimesOnline(String percenceTimesOnline) {
        this.percenceTimesOnline = percenceTimesOnline;
    }
    /**
    * 获取 网办类型0：原件预审 1：原件核验 2：全程网办
    * @return onlineType
    */
    public String getOnlineType() {
        return this.onlineType;
    }
    /**
    * 设置 网办类型0：原件预审 1：原件核验 2：全程网办
    * @param onlineType
    */
    public void setOnlineType(String onlineType) {
        this.onlineType = onlineType;
    }
    /**
    * 获取 部门id
    * @return deptId
    */
    public String getDeptId() {
        return this.deptId;
    }
    /**
    * 设置 部门id
    * @param deptId
    */
    public void setDeptId(String deptId) {
        this.deptId = deptId;
    }
    /**
    * 获取 节日类型:1 工作日  2 自然日
    * @return daysType
    */
    public String getDaysType() {
        return this.daysType;
    }
    /**
    * 设置 节日类型:1 工作日  2 自然日
    * @param daysType
    */
    public void setDaysType(String daysType) {
        this.daysType = daysType;
    }
    /**
    * 获取 目录清单是否变更
    * @return isDirChange
    */
    public String getIsDirChange() {
        return this.isDirChange;
    }
    /**
    * 设置 目录清单是否变更
    * @param isDirChange
    */
    public void setIsDirChange(String isDirChange) {
        this.isDirChange = isDirChange;
    }
    /**
    * 获取 实施清单来源
    * @return implListSource
    */
    public String getImplListSource() {
        return this.implListSource;
    }
    /**
    * 设置 实施清单来源
    * @param implListSource
    */
    public void setImplListSource(String implListSource) {
        this.implListSource = implListSource;
    }
    /**
    * 获取 流程实例id
    * @return wfInstanceId
    */
    public String getWfInstanceId() {
        return this.wfInstanceId;
    }
    /**
    * 设置 流程实例id
    * @param wfInstanceId
    */
    public void setWfInstanceId(String wfInstanceId) {
        this.wfInstanceId = wfInstanceId;
    }
    /**
    * 获取 是否支持全城通办
    * @return isCityWideOffice
    */
    public String getIsCityWideOffice() {
        return this.isCityWideOffice;
    }
    /**
    * 设置 是否支持全城通办
    * @param isCityWideOffice
    */
    public void setIsCityWideOffice(String isCityWideOffice) {
        this.isCityWideOffice = isCityWideOffice;
    }
    /**
    * 获取 是否支持全省范围就近申请
    * @return isApplyProvince
    */
    public String getIsApplyProvince() {
        return this.isApplyProvince;
    }
    /**
    * 设置 是否支持全省范围就近申请
    * @param isApplyProvince
    */
    public void setIsApplyProvince(String isApplyProvince) {
        this.isApplyProvince = isApplyProvince;
    }
    /**
    * 获取 是否支持全省范围就近取件
    * @return isProvinceAcquisition
    */
    public String getIsProvinceAcquisition() {
        return this.isProvinceAcquisition;
    }
    /**
    * 设置 是否支持全省范围就近取件
    * @param isProvinceAcquisition
    */
    public void setIsProvinceAcquisition(String isProvinceAcquisition) {
        this.isProvinceAcquisition = isProvinceAcquisition;
    }
    /**
    * 获取 目录清单编码
    * @return dirListCode
    */
    public String getDirListCode() {
        return this.dirListCode;
    }
    /**
    * 设置 目录清单编码
    * @param dirListCode
    */
    public void setDirListCode(String dirListCode) {
        this.dirListCode = dirListCode;
    }
    /**
    * 获取 实施清单管理列表是否显示该数据
    * @return isShow
    */
    public String getIsShow() {
        return this.isShow;
    }
    /**
    * 设置 实施清单管理列表是否显示该数据
    * @param isShow
    */
    public void setIsShow(String isShow) {
        this.isShow = isShow;
    }
    /**
    * 获取 末级部门编码
    * @return implDeptCode
    */
    public String getImplDeptCode() {
        return this.implDeptCode;
    }
    /**
    * 设置 末级部门编码
    * @param implDeptCode
    */
    public void setImplDeptCode(String implDeptCode) {
        this.implDeptCode = implDeptCode;
    }
    /**
    * 获取 末级部门id
    * @return implDeptId
    */
    public String getImplDeptId() {
        return this.implDeptId;
    }
    /**
    * 设置 末级部门id
    * @param implDeptId
    */
    public void setImplDeptId(String implDeptId) {
        this.implDeptId = implDeptId;
    }
    /**
    * 获取 厅局办件标识  是否统一受理  1.统一受理 2.非统一受理 3.全程办理
    * @return isUniteAccept
    */
    public String getIsUniteAccept() {
        return this.isUniteAccept;
    }
    /**
    * 设置 厅局办件标识  是否统一受理  1.统一受理 2.非统一受理 3.全程办理
    * @param isUniteAccept
    */
    public void setIsUniteAccept(String isUniteAccept) {
        this.isUniteAccept = isUniteAccept;
    }
    /**
    * 获取 法定时限
    * @return subLegalTimeLimit
    */
    public String getSubLegalTimeLimit() {
        return this.subLegalTimeLimit;
    }
    /**
    * 设置 法定时限
    * @param subLegalTimeLimit
    */
    public void setSubLegalTimeLimit(String subLegalTimeLimit) {
        this.subLegalTimeLimit = subLegalTimeLimit;
    }
    /**
    * 获取 承诺时限
    * @return subPromiseTimeLimit
    */
    public String getSubPromiseTimeLimit() {
        return this.subPromiseTimeLimit;
    }
    /**
    * 设置 承诺时限
    * @param subPromiseTimeLimit
    */
    public void setSubPromiseTimeLimit(String subPromiseTimeLimit) {
        this.subPromiseTimeLimit = subPromiseTimeLimit;
    }
    /**
    * 获取 事项简称(俗语)
    * @return commonSaying
    */
    public String getCommonSaying() {
        return this.commonSaying;
    }
    /**
    * 设置 事项简称(俗语)
    * @param commonSaying
    */
    public void setCommonSaying(String commonSaying) {
        this.commonSaying = commonSaying;
    }
    /**
    * 获取 承诺办理总时限单位
    * @return clDaysType
    */
    public String getClDaysType() {
        return this.clDaysType;
    }
    /**
    * 设置 承诺办理总时限单位
    * @param clDaysType
    */
    public void setClDaysType(String clDaysType) {
        this.clDaysType = clDaysType;
    }
    /**
    * 获取 是否割接数据 1表示是  null 表示否
    * @return isCutOff
    */
    public String getIsCutOff() {
        return this.isCutOff;
    }
    /**
    * 设置 是否割接数据 1表示是  null 表示否
    * @param isCutOff
    */
    public void setIsCutOff(String isCutOff) {
        this.isCutOff = isCutOff;
    }
    /**
    * 获取 是否割接数据 1:是
    * @return isOlddata
    */
    public String getIsOlddata() {
        return this.isOlddata;
    }
    /**
    * 设置 是否割接数据 1:是
    * @param isOlddata
    */
    public void setIsOlddata(String isOlddata) {
        this.isOlddata = isOlddata;
    }
    /**
    * 获取 权力来源
    * @return powerSource
    */
    public String getPowerSource() {
        return this.powerSource;
    }
    /**
    * 设置 权力来源
    * @param powerSource
    */
    public void setPowerSource(String powerSource) {
        this.powerSource = powerSource;
    }
    /**
    * 获取 委托部门
    * @return entrustDept
    */
    public String getEntrustDept() {
        return this.entrustDept;
    }
    /**
    * 设置 委托部门
    * @param entrustDept
    */
    public void setEntrustDept(String entrustDept) {
        this.entrustDept = entrustDept;
    }
    /**
    * 获取 特别程序
    * @return specProcedure
    */
    public String getSpecProcedure() {
        return this.specProcedure;
    }
    /**
    * 设置 特别程序
    * @param specProcedure
    */
    public void setSpecProcedure(String specProcedure) {
        this.specProcedure = specProcedure;
    }
    /**
    * 获取 通办范围:1全国 2跨省 3跨市 4跨县 5跨镇（乡、街道）6跨村（社区）
    * @return operatScope
    */
    public String getOperatScope() {
        return this.operatScope;
    }
    /**
    * 设置 通办范围:1全国 2跨省 3跨市 4跨县 5跨镇（乡、街道）6跨村（社区）
    * @param operatScope
    */
    public void setOperatScope(String operatScope) {
        this.operatScope = operatScope;
    }
    /**
    * 获取 联办机构
    * @return jointagency
    */
    public String getJointagency() {
        return this.jointagency;
    }
    /**
    * 设置 联办机构
    * @param jointagency
    */
    public void setJointagency(String jointagency) {
        this.jointagency = jointagency;
    }
    /**
    * 获取 审批结果类型 枚举项：10证照 20批文 30其他 99无
    * @return applyresultType
    */
    public String getApplyresultType() {
        return this.applyresultType;
    }
    /**
    * 设置 审批结果类型 枚举项：10证照 20批文 30其他 99无
    * @param applyresultType
    */
    public void setApplyresultType(String applyresultType) {
        this.applyresultType = applyresultType;
    }
    /**
    * 获取 变更结果记录
    * @return applyresultsSample
    */
    public String getApplyresultsSample() {
        return this.applyresultsSample;
    }
    /**
    * 设置 变更结果记录
    * @param applyresultsSample
    */
    public void setApplyresultsSample(String applyresultsSample) {
        this.applyresultsSample = applyresultsSample;
    }
    /**
    * 获取 实施清单展示编码
    * @return showEventCode
    */
    public String getShowEventCode() {
        return this.showEventCode;
    }
    /**
    * 设置 实施清单展示编码
    * @param showEventCode
    */
    public void setShowEventCode(String showEventCode) {
        this.showEventCode = showEventCode;
    }
    /**
    * 获取 页面展示目录清单编码
    * @return showDirCode
    */
    public String getShowDirCode() {
        return this.showDirCode;
    }
    /**
    * 设置 页面展示目录清单编码
    * @param showDirCode
    */
    public void setShowDirCode(String showDirCode) {
        this.showDirCode = showDirCode;
    }
    /**
    * 获取 是否设置证照
    * @return isSetLicense
    */
    public String getIsSetLicense() {
        return this.isSetLicense;
    }
    /**
    * 设置 是否设置证照
    * @param isSetLicense
    */
    public void setIsSetLicense(String isSetLicense) {
        this.isSetLicense = isSetLicense;
    }
    /**
    * 获取 是否场景化事项
    * @return isSceneServer
    */
    public String getIsSceneServer() {
        return this.isSceneServer;
    }
    /**
    * 设置 是否场景化事项
    * @param isSceneServer
    */
    public void setIsSceneServer(String isSceneServer) {
        this.isSceneServer = isSceneServer;
    }
    /**
    * 获取 事项名称首字母
    * @return eventInitial
    */
    public String getEventInitial() {
        return this.eventInitial;
    }
    /**
    * 设置 事项名称首字母
    * @param eventInitial
    */
    public void setEventInitial(String eventInitial) {
        this.eventInitial = eventInitial;
    }
    /**
    * 获取 国家编码
    * @return catalogcode
    */
    public String getCatalogcode() {
        return this.catalogcode;
    }
    /**
    * 设置 国家编码
    * @param catalogcode
    */
    public void setCatalogcode(String catalogcode) {
        this.catalogcode = catalogcode;
    }
    /**
    * 获取 子项编码
    * @return subcode
    */
    public String getSubcode() {
        return this.subcode;
    }
    /**
    * 设置 子项编码
    * @param subcode
    */
    public void setSubcode(String subcode) {
        this.subcode = subcode;
    }
    /**
    * 获取 特殊状态（为空或0；1表示在门户列表中不展示的数据，办事指南和在线申请需要展示）
    * @return specialStatus
    */
    public String getSpecialStatus() {
        return this.specialStatus;
    }
    /**
    * 设置 特殊状态（为空或0；1表示在门户列表中不展示的数据，办事指南和在线申请需要展示）
    * @param specialStatus
    */
    public void setSpecialStatus(String specialStatus) {
        this.specialStatus = specialStatus;
    }
    /**
    * 获取 材料目录模式:null为2.0模式，1：3.0模式
    * @return materialVersion
    */
    public String getMaterialVersion() {
        return this.materialVersion;
    }
    /**
    * 设置 材料目录模式:null为2.0模式，1：3.0模式
    * @param materialVersion
    */
    public void setMaterialVersion(String materialVersion) {
        this.materialVersion = materialVersion;
    }
    /**
    * 获取 码表多选
    * @return projectType
    */
    public String getProjectType() {
        return this.projectType;
    }
    /**
    * 设置 码表多选
    * @param projectType
    */
    public void setProjectType(String projectType) {
        this.projectType = projectType;
    }
    /**
    * 获取 审核状态(0：审核中1：审核通过2：审核失败）
    * @return auditState
    */
    public String getAuditState() {
        return this.auditState;
    }
    /**
    * 设置 审核状态(0：审核中1：审核通过2：审核失败）
    * @param auditState
    */
    public void setAuditState(String auditState) {
        this.auditState = auditState;
    }
    /**
    * 获取 存放公共服务类型：2A,2B,2C
    * @return publicServiceType
    */
    public String getPublicServiceType() {
        return this.publicServiceType;
    }
    /**
    * 设置 存放公共服务类型：2A,2B,2C
    * @param publicServiceType
    */
    public void setPublicServiceType(String publicServiceType) {
        this.publicServiceType = publicServiceType;
    }
    /**
    * 获取 是否有效：0 否，1 是，2 暂停
    * @return isValid
    */
    public String getIsValid() {
        return this.isValid;
    }
    /**
    * 设置 是否有效：0 否，1 是，2 暂停
    * @param isValid
    */
    public void setIsValid(String isValid) {
        this.isValid = isValid;
    }

    @Override
    public int hashCode() {
        return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null)
            return false;
        if (obj instanceof ImplementlistEntity) {
            ImplementlistEntity tmp = (ImplementlistEntity) obj;
            if (this.getId().longValue() == tmp.getId().longValue()) {
                return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb
        .append(",id:").append(getId())
                .append(",dirListId:").append(getDirListId())
                .append(",runSystem:").append(getRunSystem())
                .append(",businessSystem:").append(getBusinessSystem())
                .append(",performHierarchy:").append(getPerformHierarchy())
                .append(",jumpUrl:").append(getJumpUrl())
                .append(",eventType:").append(getEventType())
                .append(",eventCode:").append(getEventCode())
                .append(",eventName:").append(getEventName())
                .append(",majorTerm:").append(getMajorTerm())
                .append(",trade:").append(getTrade())
                .append(",jointReviewInfo:").append(getJointReviewInfo())
                .append(",appoveObject:").append(getAppoveObject())
                .append(",appoveTimeLimit:").append(getAppoveTimeLimit())
                .append(",appoveType:").append(getAppoveType())
                .append(",legalTimeLimit:").append(getLegalTimeLimit())
                .append(",materialInquiry:").append(getMaterialInquiry())
                .append(",doThiingProperty:").append(getDoThiingProperty())
                .append(",applyWindow:").append(getApplyWindow())
                .append(",remark:").append(getRemark())
                .append(",onlineItemType:").append(getOnlineItemType())
                .append(",status:").append(getStatus())
                .append(",isDeliver:").append(getIsDeliver())
                .append(",materialRemark:").append(getMaterialRemark())
                .append(",handleType:").append(getHandleType())
                .append(",percenceTimes:").append(getPercenceTimes())
                .append(",certificationLevels:").append(getCertificationLevels())
                .append(",areaCode:").append(getAreaCode())
                .append(",areaName:").append(getAreaName())
                .append(",deptCode:").append(getDeptCode())
                .append(",deptName:").append(getDeptName())
                .append(",shardKey:").append(getShardKey())
                .append(",creatorId:").append(getCreatorId())
                .append(",creatorName:").append(getCreatorName())
                .append(",createsTime:").append(getCreatesTime())
                .append(",updatesTime:").append(getUpdatesTime())
                .append(",deleteFlag:").append(getDeleteFlag())
                .append(",year:").append(getYear())
                .append(",shortName:").append(getShortName())
                .append(",eventCategory:").append(getEventCategory())
                .append(",pubBeginTime:").append(getPubBeginTime())
                .append(",pubEndTime:").append(getPubEndTime())
                .append(",isProofMaterial:").append(getIsProofMaterial())
                .append(",user:").append(getUser())
                .append(",reportHierarchy:").append(getReportHierarchy())
                .append(",reportArea:").append(getReportArea())
                .append(",reportDept:").append(getReportDept())
                .append(",eventDecPower:").append(getEventDecPower())
                .append(",isStatistics:").append(getIsStatistics())
                .append(",serviceContent:").append(getServiceContent())
                .append(",isNewest:").append(getIsNewest())
                .append(",version:").append(getVersion())
                .append(",goveServiceCenter:").append(getGoveServiceCenter())
                .append(",isAuthoTransact:").append(getIsAuthoTransact())
                .append(",isOnlineSubscribe:").append(getIsOnlineSubscribe())
                .append(",isCharges:").append(getIsCharges())
                .append(",isOnlinePay:").append(getIsOnlinePay())
                .append(",isExpressTake:").append(getIsExpressTake())
                .append(",isGoveCenter:").append(getIsGoveCenter())
                .append(",isConvenientCenter:").append(getIsConvenientCenter())
                .append(",performDeptCode:").append(getPerformDeptCode())
                .append(",performDeptName:").append(getPerformDeptName())
                .append(",performDeptType:").append(getPerformDeptType())
                .append(",isDoorTake:").append(getIsDoorTake())
                .append(",promiseTimeLimit:").append(getPromiseTimeLimit())
                .append(",doThingType:").append(getDoThingType())
                .append(",launchBody:").append(getLaunchBody())
                .append(",proReviewType:").append(getProReviewType())
                .append(",cityReviewType:").append(getCityReviewType())
                .append(",couReviewType:").append(getCouReviewType())
                .append(",townReviewType:").append(getTownReviewType())
                .append(",vilReviewType:").append(getVilReviewType())
                .append(",eventSource:").append(getEventSource())
                .append(",isNumberLimit:").append(getIsNumberLimit())
                .append(",numberLimit:").append(getNumberLimit())
                .append(",isIntegration:").append(getIsIntegration())
                .append(",deptSysLevel:").append(getDeptSysLevel())
                .append(",isShare:").append(getIsShare())
                .append(",applyObject:").append(getApplyObject())
                .append(",lifeEventType:").append(getLifeEventType())
                .append(",specialObjectType:").append(getSpecialObjectType())
                .append(",poorObjectType:").append(getPoorObjectType())
                .append(",handleResultForm:").append(getHandleResultForm())
                .append(",deptSysName:").append(getDeptSysName())
                .append(",reason:").append(getReason())
                .append(",eventStatus:").append(getEventStatus())
                .append(",isExpressTakeOnline:").append(getIsExpressTakeOnline())
                .append(",percenceTimesOnline:").append(getPercenceTimesOnline())
                .append(",onlineType:").append(getOnlineType())
                .append(",deptId:").append(getDeptId())
                .append(",daysType:").append(getDaysType())
                .append(",isDirChange:").append(getIsDirChange())
                .append(",implListSource:").append(getImplListSource())
                .append(",wfInstanceId:").append(getWfInstanceId())
                .append(",isCityWideOffice:").append(getIsCityWideOffice())
                .append(",isApplyProvince:").append(getIsApplyProvince())
                .append(",isProvinceAcquisition:").append(getIsProvinceAcquisition())
                .append(",dirListCode:").append(getDirListCode())
                .append(",isShow:").append(getIsShow())
                .append(",implDeptCode:").append(getImplDeptCode())
                .append(",implDeptId:").append(getImplDeptId())
                .append(",isUniteAccept:").append(getIsUniteAccept())
                .append(",subLegalTimeLimit:").append(getSubLegalTimeLimit())
                .append(",subPromiseTimeLimit:").append(getSubPromiseTimeLimit())
                .append(",commonSaying:").append(getCommonSaying())
                .append(",clDaysType:").append(getClDaysType())
                .append(",isCutOff:").append(getIsCutOff())
                .append(",isOlddata:").append(getIsOlddata())
                .append(",powerSource:").append(getPowerSource())
                .append(",entrustDept:").append(getEntrustDept())
                .append(",specProcedure:").append(getSpecProcedure())
                .append(",operatScope:").append(getOperatScope())
                .append(",jointagency:").append(getJointagency())
                .append(",applyresultType:").append(getApplyresultType())
                .append(",applyresultsSample:").append(getApplyresultsSample())
                .append(",showEventCode:").append(getShowEventCode())
                .append(",showDirCode:").append(getShowDirCode())
                .append(",isSetLicense:").append(getIsSetLicense())
                .append(",isSceneServer:").append(getIsSceneServer())
                .append(",eventInitial:").append(getEventInitial())
                .append(",catalogcode:").append(getCatalogcode())
                .append(",subcode:").append(getSubcode())
                .append(",specialStatus:").append(getSpecialStatus())
                .append(",materialVersion:").append(getMaterialVersion())
                .append(",projectType:").append(getProjectType())
                .append(",auditState:").append(getAuditState())
                .append(",publicServiceType:").append(getPublicServiceType())
                .append(",isValid:").append(getIsValid())
        ;
        return sb.toString();
    }

    public void initAttrValue(){
         this.dirListId = null;
         this.runSystem = null;
         this.businessSystem = null;
         this.performHierarchy = null;
         this.jumpUrl = null;
         this.eventType = null;
         this.eventCode = null;
         this.eventName = null;
         this.majorTerm = null;
         this.trade = null;
         this.jointReviewInfo = null;
         this.appoveObject = null;
         this.appoveTimeLimit = null;
         this.appoveType = null;
         this.legalTimeLimit = null;
         this.materialInquiry = null;
         this.doThiingProperty = null;
         this.applyWindow = null;
         this.remark = null;
         this.onlineItemType = null;
         this.status = null;
         this.isDeliver = null;
         this.materialRemark = null;
         this.handleType = null;
         this.percenceTimes = null;
         this.certificationLevels = null;
         this.areaCode = null;
         this.areaName = null;
         this.deptCode = null;
         this.deptName = null;
         this.shardKey = null;
         this.creatorId = null;
         this.creatorName = null;
         this.createsTime = null;
         this.updatesTime = null;
         this.deleteFlag = null;
         this.year = null;
         this.shortName = null;
         this.eventCategory = null;
         this.pubBeginTime = null;
         this.pubEndTime = null;
         this.isProofMaterial = null;
         this.user = null;
         this.reportHierarchy = null;
         this.reportArea = null;
         this.reportDept = null;
         this.eventDecPower = null;
         this.isStatistics = null;
         this.serviceContent = null;
         this.isNewest = null;
         this.version = null;
         this.goveServiceCenter = null;
         this.isAuthoTransact = null;
         this.isOnlineSubscribe = null;
         this.isCharges = null;
         this.isOnlinePay = null;
         this.isExpressTake = null;
         this.isGoveCenter = null;
         this.isConvenientCenter = null;
         this.performDeptCode = null;
         this.performDeptName = null;
         this.performDeptType = null;
         this.isDoorTake = null;
         this.promiseTimeLimit = null;
         this.doThingType = null;
         this.launchBody = null;
         this.proReviewType = null;
         this.cityReviewType = null;
         this.couReviewType = null;
         this.townReviewType = null;
         this.vilReviewType = null;
         this.eventSource = null;
         this.isNumberLimit = null;
         this.numberLimit = null;
         this.isIntegration = null;
         this.deptSysLevel = null;
         this.isShare = null;
         this.applyObject = null;
         this.lifeEventType = null;
         this.specialObjectType = null;
         this.poorObjectType = null;
         this.handleResultForm = null;
         this.deptSysName = null;
         this.reason = null;
         this.eventStatus = null;
         this.isExpressTakeOnline = null;
         this.percenceTimesOnline = null;
         this.onlineType = null;
         this.deptId = null;
         this.daysType = null;
         this.isDirChange = null;
         this.implListSource = null;
         this.wfInstanceId = null;
         this.isCityWideOffice = null;
         this.isApplyProvince = null;
         this.isProvinceAcquisition = null;
         this.dirListCode = null;
         this.isShow = null;
         this.implDeptCode = null;
         this.implDeptId = null;
         this.isUniteAccept = null;
         this.subLegalTimeLimit = null;
         this.subPromiseTimeLimit = null;
         this.commonSaying = null;
         this.clDaysType = null;
         this.isCutOff = null;
         this.isOlddata = null;
         this.powerSource = null;
         this.entrustDept = null;
         this.specProcedure = null;
         this.operatScope = null;
         this.jointagency = null;
         this.applyresultType = null;
         this.applyresultsSample = null;
         this.showEventCode = null;
         this.showDirCode = null;
         this.isSetLicense = null;
         this.isSceneServer = null;
         this.eventInitial = null;
         this.catalogcode = null;
         this.subcode = null;
         this.specialStatus = null;
         this.materialVersion = null;
         this.projectType = null;
         this.auditState = null;
         this.publicServiceType = null;
         this.isValid = null;
    }
}